body.burial {
  background-color: #198754;
}

@media screen and (max-width: 767.98px) {
    body.burial .p-header {
        background-color: #198754;
    }
}

body.burial .p-header__menu {
  background-color: #31b377;
}

@media print, screen and (min-width: 768px) {
  body.burial .p-header__menu:hover {
    background-color: #FFFFFF;
  }
}

body.burial .p-header__menuPanel {
    background-color: #31b377;
}

body.burial .p-header__menu.is-open {
    background-color: #FFFFFF;
}

input[type=checkbox], input[type=radio] {
    display: block;
}


/* ==================================================================

    安葬择日专业版

================================================================== */

.container {
	max-width: 500px;
	margin: 0 auto;
	width: 100%;
	padding: 80px 20px;
}

@media screen and (max-width: 767.98px) {
    .container {
        padding: 9.8666666667vw 20px;
    }
}

.header {
    text-align: center;
    padding: 20px 0;
    margin-bottom: 20px;
}

.title {
    font-size: 24px;
    color: white;
    margin-bottom: 10px;
}

.subtitle {
    color: rgba(255, 255, 255, 0.8);
    font-size: 16px;
}

.card {
    color: #333333;
	position: relative;
    display: flex;
    flex-direction: column;
	border: none;
	box-shadow: 0 8px 16px rgba(0,0,0,0.05);
	transition: transform 0.3s;
	margin-bottom: 20px;
	overflow: hidden;
}

.card:hover {
	transform: translateY(-5px);
	box-shadow: 0 12px 20px rgba(0,0,0,0.1);
}

.death-info {
	border-radius: 15px;
	padding: 25px;
	background: #fffaf9 url(../images/date_select_bg.png) no-repeat 100% bottom;
}

.input-group {
	margin-bottom: 20px;
}

.death-info label {
	display: block;
	margin-bottom: 10px;
	color: #444;
	font-size: 16px;
}

.death-info label span {
	color: #d55252;
}

input[type="text"], input[type="date"], select {
	width: 100%;
	padding: 8px 15px;
	border: 1px solid #f29c9c;
	color: #495057;
	font-size: 16px;
	transition: all 0.3s;
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
	outline: none;
}

select {
	background-image:url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23343a40' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M2 5l6 6 6-6'/%3e%3c/svg%3e");
	background-repeat: no-repeat;
	background-position: right 15px center;
	background-size: 16px 12px;
}

.check-avoid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 10px;
}

.form-check {
	display: inline-block;
}

.form-check .form-check-label {
    margin-bottom: 0;
}

.form-check .form-check-input {
	float: left;
	margin-right: 5px;
}

.form-check-input {
	width: 1em;
	height: 1em;
	margin-top: .25em;
	vertical-align: top;
	background-color: #fff;
	background-repeat: no-repeat;
	background-position: center;
	background-size: contain;
	border: 1px solid rgba(0,0,0,.25);
	-webkit-appearance: none;
	-moz-appearance: none;
	appearance: none;
	-webkit-print-color-adjust: exact;
	color-adjust: exact;
}

.form-check-input[type=checkbox] {
	border-radius: .25em;
}

.form-check-input:active {
	filter: brightness(90%);
}

.form-check-input:focus {
	outline: 0;
}

.form-check-input:checked {
	background-color: #d55252;
	border-color: #d55252;
}

.form-check-input:checked[type=checkbox] {
	background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20'%3e%3cpath fill='none' stroke='%23fff' stroke-linecap='round' stroke-linejoin='round' stroke-width='3' d='M6 10l3 3l6-6'/%3e%3c/svg%3e")
}

.form-check-label {
    margin: 0;
}

.result-container {
	background: #ffffff;
	padding: 20px 0;
	border-radius: 15px;
}

.result-container:before {
    background: #f0594c;
    content: "";
    height: 200px;
    left: 0;
    position: absolute;
    top: 0;
    width: 100%;
}

.card-body {
	position: relative;
}

.tabs-nav {
	background: #ffffff;
	border-radius: 50px;
	width: 50%;
	padding: 2px;
	margin: 0 auto 20px;
	display: flex;
	flex-wrap: wrap;
	list-style: none;
	justify-content: center;
}

.tabs-nav .tab-item {
    border-radius: 50px;
    color: #989898;
    cursor: pointer;
    font-size: 18px;
    padding: 5px;
    text-align: center;
    width: 50%;
}

.tabs-nav .tab-item.active {
    background: #d55252;
	color: #ffffff;
}

.tab-content>.tab-pane {
	display: none;
}

.tab-content>.active {
	display: block;
}

.btn-primary {
	background-color: var(--primary-color);
	border-color: var(--primary-color);
	transition: all 0.3s;
	padding: 0.7rem 1.5rem;
	font-weight: 600;
}

.btn-primary:hover {
	background-color: var(--accent-color);
	border-color: var(--accent-color);
	transform: scale(1.05);
}

.selectMonth {
	display: flex;
	flex-wrap: nowrap;
	justify-content: center;
	align-items: center;
	margin-bottom: 20px;
}

.btn {
    display: inline-block;
	width: 30px;
	height: 30px;
    color: #212529;
    text-align: center;
    text-decoration: none;
    vertical-align: middle;
    cursor: pointer;
	position: relative;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
    background-color: transparent;
    border: 2px solid #ffffff;
    border-radius: 50%;
}

.prevMonth::after {
    content: "";
    width: 10px;
    height: 10px;
    border-bottom: 2px solid #FFFFFF;
    border-left: 2px solid #FFFFFF;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translateY(-50%) translateX(-40%) rotate(45deg);
}

.nextMonth::after {
    content: "";
    width: 10px;
    height: 10px;
    border-top: 2px solid #FFFFFF;
    border-right: 2px solid #FFFFFF;
    position: absolute;
    top: 50%;
    right: 50%;
    transform: translateY(-50%) translateX(40%) rotate(45deg);
}

.currentMonth {
	font-family: "Source Han Serif", "Noto Serif CJK", "Helvetica Neue", sans-serif;
	-webkit-box-pack: center;
	-ms-flex-pack: center;
	background-size: contain;
	color: #ffffff;
	font-size: 22px;
	font-weight: 700;
	width: 244px;
	height: 42px;
	line-height: 42px;
	text-align: center;
}
/* 日历视图 */
.calendarContainer {
	min-height: 200px;
    border-radius: 15px 15px 0 0;
    padding: 30px 15px 20px;
	background: #ffffff url(../images/date_bg.png) no-repeat 50% center;
    background-size: 80%;
    position: relative;
    text-align: center;
}

.calendarContainer .row {
	display: grid;
	grid-template-columns: repeat(7, 1fr);
}

.listWeek {
	background: #fffaf9;
}

.week {
	position: relative;
	text-align: center !important;
	font-weight: 700;
}

.text-danger {
	color: #de3545;
}

.week:before, .week:after {
    background: #f0594c;
    content: "";
    left: 50%;
    position: absolute;
    -webkit-transform: translateX(-50%);
    transform: translateX(-50%);
}

.week:before {
	top: -30px;
	height: 10px;
    width: 2px;
}

.week:after {
	top: -20px;
	border-radius: 50%;
    height: 8px;
    width: 8px;
}

.calendar-day {
	text-align: center;
	border: 1px solid rgba(229, 87, 75, 0);
	border-radius: 15px;
	margin: 6px;
	padding: 3px;
	cursor: pointer;
	font-weight: 500;
	transition: all 0.2s;
	position: relative;
	display: flex;
	flex-direction: column;
	justify-content: center;
}

.calendar-day.active {
	border: 1px solid #d55252;
	color: #d55252;
	z-index: 9;
}

.calendar-day.active .day-lunar {
    color: #d55252;
}

.day-number {
	font-family: "Source Han Serif", "Noto Serif CJK", "Helvetica Neue", sans-serif;
	font-size: 20px;
	font-weight: 700;
	line-height: 1.2;
}

.perfect-day {
	background: rgba(229, 87, 75, .1);
	color: #d55252;
	z-index: 9;
}

.perfect-day .day-number {
	color: #d55252;
}

.day-lunar {
	font-size: 12px;
	color: #777;
}

.festival .day-lunar {
	color: #d55252;
}

/* 日历标记 */
.calendarContainer .perfect-mark, .calendarContainer .good-mark {
	display: flex;
	font-size: 11px;
	line-height: 18px;
	color: white;
	width: 18px;
	height: 18px;
	align-items: center;
    justify-content: center;
	border: 1px solid #ffffff;
	border-radius: 50%;
    position: absolute;
    right: -5px;
    top: -5px;
    z-index: 999;
}

.perfect-mark {
	background-color: #d55252;
}

.good-mark {
	background-color: #d1a2a2;
}

/* 响应式设计 */
@media (max-width: 768px) {
	.calendar-day {
		font-size: 0.9rem;
	}
}

/* 吉日列表*/
.filter {
	padding: 0 30px;
	display: flex;
	gap: 1px;
	margin-bottom: 20px;
}

.filter-item {
	text-align: center;
	flex-grow: 1;
}

.filter-item select {
	padding: 10px;
	border: none;
}

.filter-item:first-child select {
	border-radius: 5px 0 0 5px;
}

.filter-item:last-child select {
	border-radius: 0 5px 5px 0;
}

.luckyDaysList {
	min-height: 200px;
	background: #ffffff;
	border-radius: 15px 15px 0 0;
    padding: 20px;
    position: relative;
}

.luckyDaysList li {
	margin-bottom: 15px;
	border: 1px solid #f8d6d2;
	border-radius: 15px;
	cursor: pointer;
	transition: transform 0.3s;
}

.luckyDaysList li:hover {
	transform: translateY(-3px);
	box-shadow: 0 12px 20px rgba(0,0,0,0.1);
}

.luckyDaysList li.active {
	border: 1px solid #e5574b;
}

.luckyDaysList li:last-child {
	margin-bottom: 0;
}

.view-detail {
	color: #333333;
}

.view-detail h2 {
	font-family: "Source Han Serif", "Noto Serif CJK", "Helvetica Neue", sans-serif;
	font-size: 18px;
	color: #d55252;
	background: #fbf1f0;
	padding: 8px;
	text-align: center;
	border-radius: 15px 15px 0 0;
}

.day-des {
	display:flex;
	gap: 20px;
	justify-content: space-between;
    align-items: center;
	padding: 15px;
	
}

.day-text {
	display: flex;
	gap: 15px;
    width: calc(75% - 20px);
}

.badge {
    font-family: "Source Han Serif", "Noto Serif CJK", 宋体, SimSun, sans-serif;
    font-weight: 700;
    display: inline-block;
    width: 28px;
	height: 28px;
    font-size: 16px;
    font-weight: 700;
    line-height: 28px;
    color: #fff;
    text-align: center;
    white-space: nowrap;
    vertical-align: baseline;
    border-radius: 50%;
	position: relative;
	background-color: #69945e;
}

.badge:before {
    border: 1px solid #fff;
    border-radius: 50%;
    position: absolute;
    content: "";
    width: calc(100% - 4px);
    height: calc(100% - 4px);
    left: 50%;
    top: 50%;
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
}

.bg-yi {
    background: #69945e;
}

.bg-ji {
    background: #d93939;
}

.bg-shen {
    background: #a65912;
}

.bg-chong {
    background: #ffb12c;
}

.bg-jin {
    background: #2b2b2b;
}

.score {
	width: 25%;
	padding-left: 20px;
	border-left: 1px dashed #e5574b;
	text-align: right;
}

.progress {
    display: flex;
    height: 1rem;
    overflow: hidden;
    font-size: .75rem;
    background-color: #e9ecef;
    border-radius: .25rem;
}

.progress-bar {
    display: flex;
    flex-direction: column;
    justify-content: center;
    overflow: hidden;
    color: #fff;
    text-align: center;
    white-space: nowrap;
    background-color: #f0594c;
    transition: width .6s ease;
}

.score .score-text {
	margin-top: 5px;
}

/* 吉日详情 */
.dayDetailContent {
	background: #fefaf9 url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABUAAAAVAQMAAACT2TfVAAAAAXNSR0IArs4c6QAAAAZQTFRFAAAAs49wjmEMPgAAAAJ0Uk5TAICbK04YAAAAK0lEQVQI12P4+PgHw0QlBjD+/4iBQZAJgf//A4ozQPBHIGZEwv+BuAE7BgDyWw5f1lhoLQAAAABJRU5ErkJggg==) no-repeat 8px 8px;
	background-size: 21px 21px;
	border: 1px solid hsla(29, 32%, 57%, .3);
	border-radius: 0;
	position: relative;
	height: auto;
	padding: 20px;
	margin: 0 20px;
	display: none;
}

.dayDetailContent.show {
	display: block;
}

.dayDetailContent .icon-lb {
	background: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABUAAAAVAQMAAACT2TfVAAAAAXNSR0IArs4c6QAAAAZQTFRFAAAAs49wjmEMPgAAAAJ0Uk5TAICbK04YAAAAK0lEQVQI12P4+PgHw0QlBjD+/4iBQZAJgf//A4ozQPBHIGZEwv+BuAE7BgDyWw5f1lhoLQAAAABJRU5ErkJggg==) no-repeat;
	background-size: 21px 21px;
	width: 21px;
	height: 21px;
	bottom: 8px;
	left: 8px;
	position: absolute;
	-webkit-transform: rotate(270deg);
	transform: rotate(270deg);
	-webkit-transform-origin: center;
	transform-origin: center;
}

.dayDetailContent:before, .dayDetailContent:after {
	background: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABUAAAAVAQMAAACT2TfVAAAAAXNSR0IArs4c6QAAAAZQTFRFAAAAs49wjmEMPgAAAAJ0Uk5TAICbK04YAAAAK0lEQVQI12P4+PgHw0QlBjD+/4iBQZAJgf//A4ozQPBHIGZEwv+BuAE7BgDyWw5f1lhoLQAAAABJRU5ErkJggg==) no-repeat;
	background-size: 21px 21px;
	content: "";
	width: 21px;
	height: 21px;
	position: absolute;
	right: 8px;
	-webkit-transform-origin: center;
	transform-origin: center;
	
}

.dayDetailContent:before {
	top: 8px;
	-webkit-transform: rotate(90deg);
	transform: rotate(90deg);
}

.dayDetailContent:after {
	bottom: 8px;
	-webkit-transform: rotate(180deg);
	transform: rotate(180deg);
}

.day-header {
	text-align: center;
	margin-bottom: 20px;
}

.day-header h2 {
	font-family: "Source Han Serif", "Noto Serif CJK", "Helvetica Neue", sans-serif;
	-webkit-box-pack: center;
    -ms-flex-pack: center;
    background: url(../images/date_title.png) no-repeat 50%;
    background-size: contain;
    color: #d55252;
    font-size: 20px;
    font-weight: 700;
	width: 316px;
    height: 40px;
	line-height: 40px;
    margin: 0 auto 10px; 
	display: block;
	text-align: center;
}

.day-header .lunar-date {
	font-size: 17px;
	font-weight: 700;
}

.alert {
    position: relative;
    padding: 20px;
    margin-bottom: 20px;
    border: 1px solid transparent;
    border-radius: 5px;
}

.alert-heading {
	color: inherit
}

.alert-bei {
	color: #41464b;
	background-color: #dcecd7;
	border-color: #c0e0b7;
}

.alert-yi {
	color: #0f5132;
	background-color: #d1e7dd;
	border-color: #badbcc
}

.alert-ji {
	color: #842029;
	background-color: #f8d7da;
	border-color: #f5c2c7
}

.alert-ke {
	color: #055160;
	background-color: #cff4fc;
	border-color: #b6effb
}

.alert-chong {
	color: #664d03;
	background-color: #fff3cd;
	border-color: #ffecb5
}

.alert-jin {
	color: #141619;
	background-color: #d3d3d4;
	border-color: #bcbebf
}

.day-item {
	display: flex;
	gap: 15px;
    align-items: flex-start;
    justify-content: flex-start;
	font-size: 16px;
	padding: 10px 0;
	border-bottom: 1px dashed #fbe3df;
}

.day-item-detail {
	width: calc(100% - 43px);
}

.five-element {
	display: flex;
	gap: 2px;
	padding: 2px;
	margin: 10px 0 20px;
	justify-content: space-between;
	border: 1px solid hsla(29, 32%, 57%, .3);
}

.five-element .five-item {
	flex-grow: 1;
	text-align: center;
	position: relative;
}

.five-item h3 {
    font-size: 16px;
	font-weight: 500;
	line-height: 2;
	background: rgba(229, 87, 75, .1);
}

.five-item p {
    font-size: 17px;
	font-weight: 700;
	line-height: 48px;
	margin: 0;
	color: #6f3300;
}

.five-item span {
	line-height: 48px;
	z-index: 111;
}

.five-item span.text-sheng {
	color: #00c166;
	font-weight: 700;
}
.five-item span.text-ke {
	color: #ff0000;
	font-weight: 700;
}

.five-item:first-child span {
	position: absolute;
	right: 0;
	bottom: 0;
    transform: translateX(50%);
}

.five-item:last-child span {
	position: absolute;
	left: 0;
	bottom: 0;
    transform: translateX(-50%);
}

.hour-list {
	background-color: rgba(255, 255, 255, 0.3);
    border: 1px solid hsla(29, 32%, 57%, .3);
}

.hour-list h3 {
	text-align: center;
	font-size: 18px;
	font-weight: 700;
	margin: 15px 0 10px;
	color: #875a19;
}

.time-group {
	display: flex;
    flex-direction: column;
    padding: 0;
    margin: 0;
}

.time-item {
    position: relative;
    display: flex;
	align-items: flex-start;
    padding: 15px;
    color: #875a19;
    text-decoration: none;
    
}

.time-item+ .time-item {
    border-top-width: 0;
}

.time-item i {
    font-style: normal;
	border: 1px solid #875a19;
	border-radius: 50%;
	text-align: center;
	width: 22px;
	height: 22px;
	line-height: 22px;
	display: inline-block;
	margin-right: 13px;
}

.time-item .time {
    width: calc(100% - 35px);
}

.time-item .time strong {
    font-size: 18px;
	line-height: 1;
}

.time-item .time .small {
    font-size: 15px;
	font-weight: 500;
	margin-top: 10px;
}